---
schema_version: "1"
id: f6ccfdd4e128fcd3b38a5bdc83d528029e667abc4849237e9499d2680ef3fb27
title: POST /interaction/v1/interactions/contactMembership
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/contactMembershipRequest.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/contactMembershipRequest.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: a4e08b33773cbbe5d651bcdfcaee9c2b773021866cb12fbce3db18e2dc7af919
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /interaction/v1/interactions/contactMembership

Provides a list of journeys and journey versions for a list of contact keys.

## JSON Parameters

| Name               | Type  |              | Description                    |
| ------------------ | ----- | ------------ | ------------------------------ |
| **ContactKeyList** | array | **Required** | List of up to 50 contact keys. |

## Responses

| Status  | Name                             | Type   | Description                                                                           |
| ------- | -------------------------------- | ------ | ------------------------------------------------------------------------------------- |
| **200** | &nbsp;                           | &nbsp; | \*\*\*\*                                                                              |
| &nbsp;  | results                          | object | An object containing contacts found in a journey and contacts not found in a journey. |
| &nbsp;  | contactMemberships               | array  | Contact membership information.                                                       |
| &nbsp;  | contactMemberships.contactKey    | string | Contact key that was included in the request.                                         |
| &nbsp;  | contactMemberships.definitionKey | string | Unique identifier for the journey where the contact was found.                        |
| &nbsp;  | contactMemberships.Version       | string | Version number of the journey where the contact was found.                            |
| &nbsp;  | contactsNotFound                 | array  | List of contacts not found in any journeys in the account.                            |

## Usage

To issue a request, you must have the `Journey Builder | General`, `Journey Builder | Automation`, and `Interaction Studio | Access` permissions.

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /interaction/v1/interactions/contactMembership
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
   "ContactKeyList":["ContactKey_1", "ContactKey_2", "ContactKey_3"]
}
```

### Example Response

```js
HTTP/1.1 200 Ok
{
"results" : {
"contactMemberships" : [
    {
        "contactKey" : "ContactKey_1",
        "definitionKey" : "Uniqueue_Key",
        "version" : 1
    }
],
"contactsNotFound" : ["ContactKey_2", "ContactKey_3"]
}
}
```
